<style type="text/css">
	p.question { font-size: 18px }

	div.transfer-orders-wrapper { display: none }
</style>

<script type="text/javascript">
	window.chargebackPopup.addEvent('loaded', function () {

		var self = this;

		var grid = new Cubix.Grid(this.content.getElement('.cx-grid'), {
			identifier: { field: 'id' },
			header: [
				//{ title: '<input type="checkbox" name="select-all-orders" />', field: '', type: 'Checkbox', width: '15px' },
				{ title: 'Order ID', field: 'system_order_id', type: 'string' },
				{ title: 'Order Date', field: 'order_date', type: 'DateTime', width: '120px' },
				{ title: 'Price', field: 'price', type: 'Currency', format: { currency: '$' } }
			],
			sort: {
				field: 'order_date',
				dir: 'DESC'
			},
			actions: [ { type: 'details', func: function (data) {
				window.OrderDetailsPopup.setTitle('Order Details');
				window.OrderDetailsPopup.load('/billing/orders/details?id=' + data.id, function () {
					this.open();
				});
			} } ],
			portioning: false,
			data: new Cubix.Grid.Loader.Static({ data: '<?= json_encode(array('data' => $this->transfer->orders)) ?>' })
		});

		this.content.getElement('input[name=cancel_packages]').addEvent('change', function(){

			if ( this.get('checked') ) {
				self.content.getElement('.transfer-orders-wrapper').setStyle('display', 'block');
			}
			else {
				self.content.getElement('.transfer-orders-wrapper').setStyle('display', 'none');
			}			
		});

		this.removeEvents('loaded');
	});
</script>

<form class="form-common" action="/billing/transfers/chargeback?id=<?= $this->request()->id ?>" method="post">
	<p class="question">Are you sure you want to chargeback this transfer?</p>

	<div class="fleft">
		<?= $this->render('transfers/details-brief.phtml') ?>
	</div>

	<div class="inner mt10">
		<label for="chargeback_reason">Chargeback Reason <span class="required"></span></label>
		<textarea id="chargeback_reason" name="chargeback_reason" class="txt" cols="35" rows="4"></textarea>
	</div>
	<div class="clear"></div>

	<fieldset class="mt20">
		<legend>Assigned Orders</legend>

		<label><input type="checkbox" name="cancel_packages" value="1" /> <span>Chargeback also orders assigned to this transfer</span></label>
		<p style="color:red; margin: 7px 0 0 5px;">WARNING: All packages assigned to selected orders will be canceled</p>

		<div name="select_to_chargeback"></div>

		<div class="transfer-orders-wrapper">
			<div id="transfer-orders" class="cx-grid mt10"></div>
		</div>
	</fieldset>

</form>
